import { DEPLOYMENT_MODE as e, deploymentMode as t } from "../constants/vite.constants.mjs";
import "../constants/index.mjs";
//#region libs/shared/common/src/API/getWebsiteURL.ts
var n = "http://localhost:4230", r = "https://hinkal-playground-landing.netlify.app", i = "https://staging-hinkal-landing.netlify.app", a = "https://hinkal.io", o = "http://localhost:4118", s = "https://hinkal-playground-onboarding.netlify.app", c = "https://staging-hinkal-onboarding.netlify.app", l = "https://onboarding.hinkal.pro", u = "http://localhost:4117", d = "https://hinkal-playground.netlify.app", f = "https://staging-hinkal-rewards.netlify.app", p = "https://rewards.hinkal.pro", m = "http://localhost:4116", h = "https://hinkal-playground-pay.netlify.app", g = "https://staging-hinkal-pay.netlify.app", _ = "https://pay.hinkal.io", v = "http://localhost:4120", y = "https://hinkal-playground.netlify.app", b = "https://staging-hinkal-dashboard.netlify.app", x = "https://prime.hinkal.io", S = () => {
	switch (t) {
		case e.DEVELOPMENT: return n;
		case e.PLAYGROUND: return r;
		case e.STAGING: return i;
		case e.PRODUCTION:
		default: return a;
	}
}, C = () => {
	switch (t) {
		case e.DEVELOPMENT: return o;
		case e.PLAYGROUND: return s;
		case e.STAGING: return c;
		case e.PRODUCTION:
		default: return l;
	}
}, w = () => {
	switch (t) {
		case e.DEVELOPMENT: return u;
		case e.PLAYGROUND: return d;
		case e.STAGING: return f;
		case e.PRODUCTION:
		default: return p;
	}
}, T = () => {
	switch (t) {
		case e.DEVELOPMENT: return m;
		case e.PLAYGROUND: return h;
		case e.STAGING: return g;
		case e.PRODUCTION:
		default: return _;
	}
}, E = () => {
	switch (t) {
		case e.DEVELOPMENT: return v;
		case e.PLAYGROUND: return y;
		case e.STAGING: return b;
		default: return x;
	}
};
//#endregion
export { E as getDashboardURL, S as getHinkalLandingURL, T as getPayURL, w as getRewardsURL, C as getWalletOnboardingURL };
